<!DOCTYPE html>
<html lang="en">

<head>
    <% include ../../_head %>
    <link rel="stylesheet" type="text/css" href="/css/jeuxTemplate.css">
    <style id="styleJeu" type="text/css">
    </style>
</head>
<body onload="ui_jeu.loadGame('<%=gameMode%>','<%=forcedExerciceId%>'), loadProgressBar(sessionStorage.getItem('progression'),sessionStorage.getItem('barColor'),null)">
<% include ../../_loading %>
<div id="screen">
    <% include ../../_topbarParcours %>
    <div class="row ml-2">
        <div class="left d-block">
            <div id="gameControls" class="mt-5">
            </div>
            <div id="tutorial">
            </div>
            <div class="ml-2"><i class="speaker fas fa-volume-up fa-3x" onclick="audio.textToSpeech(document.getElementById('tutorial').id);"></i>
                <div id="languageCode" class="d-none">fr</div>
                <div class="lds-roller">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                </div>
            </div>
        </div>
        <div class="right mt-4">
            <canvas id="canvas" width="600" height="600"></canvas>
        </div>
    </div>
</div>
<div id="message">
    Veuillez tourner l'appareil en mode paysage.<br/>
    Bitte schalten Sie das Gerät im Querformat ein.<br/>
    Please turn the device in landscape mode.<br/>
    Ruotare il dispositivo in modalità orizzontale.
</div>
<div class="col-4"
     style="position: fixed; bottom: 0px; left: 0px; display: inline-block; padding: 5px 15px 5px 15px; max-height: 75%;">
    <div id="in-game-app-menu" style="display: none">
        <div class="row">
            <button class="btn btn-outline-warning col-3 without-space" id="btn-miniapp-1"
                    style="white-space: normal; margin-left: 15px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i class=""></i>
            </button>
            <button class="btn btn-outline-warning col-3 without-space" id="btn-miniapp-2"
                    style="white-space: normal; margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i class=""></i>
            </button>
            <button class="btn btn-outline-warning col-3 without-space" id="btn-miniapp-2"
                    style="white-space: normal; margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i class=""></i>
            </button>
        </div>
    </div>
    <div class="row" id="mini-app-game-menu-hide" style="display: none">
        <button class="btn btn-outline-warning col-9" style="margin-left: 20px; margin-bottom: 5px; font-size: 10pt"
                onclick="ui_jeu.toggleInGameMiniAppMenu()">
            <%= __('jeuxTemplate_hide_in_app_game')%> <i class="fas fa-caret-down"></i>
        </button>
    </div>
    <div class="row" id="mini-app-game-menu-show" style="display: none">
        <button class="btn btn-outline-warning col-9" style="margin-left: 20px; margin-bottom: 5px; font-size: 10pt"
                onclick="ui_jeu.toggleInGameMiniAppMenu()">
            <%= __('jeuxTemplate_show_in_app_game')%> <i class="fas fa-caret-up"></i>
        </button>
    </div>
    <div id="global-app-menu" style="display: none">
        <div class="row">
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal;  margin-left: 15px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"
                    onclick="ui_jeu.toggleGlobalMiniApp('my-pad')"><%= __('jeuxTemplate_student_pad_button') %>
                <br><i
                        class="fas fa-search"></i></button>
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal;  margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"
                    onclick="ui_jeu.toggleGlobalMiniApp('class-pad')"><%= __('jeuxTemplate_class_pad_button') %><br><i
                        class="fas fa-search"></i></button>
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal;  margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"
                    onclick="ui_jeu.toggleGlobalMiniApp('dico-img')"><%= __('jeuxTemplate_dico_button') %><br><i
                        class="fas fa-search"></i></button>
        </div>
        <div class="row">
            <button class="btn btn-outline-warning col-3 without-space" id="space"
                    style="white-space: normal; margin-left: 15px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"><%= __('jeuxTemplate_space_letters') %>
                <br></button>
            <button class="btn btn-outline-warning col-3 without-space" id="dyslexic"
                    style="white-space: normal;  margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"><%= __('jeuxTemplate_opendys') %>
                <br>
            </button>
            <button class="btn btn-outline-warning col-3 without-space no-focus-button" id="contrast"
                    style="white-space: normal;  margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px"><%= __('jeuxTemplate_high_contrast') %>
                <br>
            </button>
        </div>
        <div class="row">
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal; margin-left: 15px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i
                        class="fas fa-hand-pointer"></i><br><%= __('jeuxTemplate_vocal') %>
            </button>
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal; margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i
                        class="fas fa-hand-pointer"></i><br><%= __('jeuxTemplate_trad') %>
            </button>
            <button class="btn btn-outline-warning col-3 without-space"
                    style="white-space: normal; margin-left: 5px; margin-bottom: 5px; font-size: 10pt; min-height: 75px">
                <i
                        class=""></i>
            </button>
        </div>
    </div>
    <div class="row" id="mini-app-menu-hide" style="display: none">
        <button class="btn btn-outline-warning col-9" style="margin-left: 20px; margin-bottom: 5px; font-size: 10pt"
                onclick="ui_jeu.toggleGlobalMiniAppMenu()">
            <%= __('jeuxTemplate_hide_global_app_game')%> <i class="fas fa-caret-down"></i>
        </button>
    </div>
    <div class="row" id="mini-app-menu-show">
        <button class="btn btn-outline-warning col-9" style="margin-left: 20px; margin-bottom: 5px; font-size: 10pt"
                onclick="ui_jeu.toggleGlobalMiniAppMenu()">
            <%= __('jeuxTemplate_show_global_app_game')%> <i class="fas fa-caret-up"></i>
        </button>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="dropdown" id="mode">
                <div class="dropdown-menu">
                    <a class="dropdown-item" id="onclick_gamemode_explore"
                       onclick="ui_jeu.updateMode('<%= __('jeuxTemplate_explore') %>')"><%= __('jeuxTemplate_explore') %></a>
                    <a class="dropdown-item" id="onclick_gamemode_train"
                       onclick="ui_jeu.updateMode('<%= __('jeuxTemplate_train') %>')"><%= __('jeuxTemplate_train') %></a>
                    <a class="dropdown-item" id="onclick_gamemode_evaluate"
                       onclick="ui_jeu.updateMode('<%= __('jeuxTemplate_evaluate') %>')"><%= __('jeuxTemplate_evaluate') %></a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" id="onclick_gamemode_create"
                       onclick="ui_jeu.updateMode('<%= __('jeuxTemplate_create') %>')"><%= __('jeuxTemplate_create') %></a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" id="onclick_gamemode_play"
                       onclick="ui_jeu.updateMode('<%= __('jeuxTemplate_play') %>')"><%= __('jeuxTemplate_play') %></a>
                </div>
            </div>

            <div class="dropdown" id="langue">
                <button class="btn btn-secondary btn-sm dropdown-toggle d-inline-block" type="button"
                        id="dropdownMenuLangue"
                        data-toggle="dropdown">
                    <% for(let lang of jeu.lstLangues) {
                    if(lang.abbr === language){
                    %>
                        <%= __('jeuxTemplate_language') %>: <span id="currentLang"><%= lang.nom %></span>
                    <%
                    }
                    } %>

                </button>
                <div class="dropdown-menu">
                    <% for(let lang of jeu.lstLangues) { %>
                        <a class="dropdown-item onclick_language" id="<%= lang.abbr %>"
                           onclick="ui_jeu.updateLang('<%= lang.nom %>')"><%= lang.nom %></a>
                    <% } %>
                </div>
            </div>
        </div>
    </div>
</div>
    <div class="fullscreen-app" style="display: none" id="my-pad">
        <div class="app-header">
            <h3><%= __('jeuxTemplate_student_pad') %></h3>
            <i class="fas fa-times app-close" onclick="ui_jeu.toggleGlobalMiniApp('my-pad')"></i>
        </div>
        <div class="app-content">
            <iframe name="embed_readwrite" id="my-pad-etherpad"
                    src="<%=process.env.ETHERPAD_URL%>/p/<%= eleve.padId %>?showControls=false&showChat=false&showLineNumbers=false&useMonospaceFont=false"
                    frameborder="0"></iframe>
        </div>
    </div>
    <div class="fullscreen-app" style="display: none" id="class-pad">
        <div class="app-header">
            <h3><%= __('jeuxTemplate_class_pad') %></h3>
            <i class="fas fa-times app-close" onclick="ui_jeu.toggleGlobalMiniApp('class-pad')"></i>
        </div>
        <div class="app-content">
            <iframe name="embed_readwrite" id="class-pad-etherpad"
                    src="<%=process.env.ETHERPAD_URL%>/p/<%= eleve.classPadId %>?showControls=true&showChat=true&showLineNumbers=true&useMonospaceFont=false"
                    frameborder="0"></iframe>
        </div>
    </div>
    <div class="fullscreen-app" style="display: none" id="dico-img">
        <div class="app-header">
            <h3><%= __('jeuxTemplate_dico') %></h3>
            <i class="fas fa-times app-close" onclick="ui_jeu.toggleGlobalMiniApp('dico-img')"></i>
        </div>
        <div class="app-content">
            <div class="input-group mb-3">
                <input type="text" class="form-control" placeholder="<%= __('jeuxTemplate_dico_find') %>"
                       aria-label="<%= __('jeuxTemplate_dico_find') %>" aria-describedby="basic-addon2" id="dico-img-query">
                <div class="input-group-append">
                    <button class="btn btn-outline-secondary" type="button"
                            onclick="ui_jeu.dicoImage()"><%= __('jeuxTemplate_dico_find') %></button>
                </div>
            </div>
            <div id="dico-content"></div>
        </div>
    </div>
<script type="text/javascript" src="/modules/pixi/wrk/audio.js"></script>
<script type="text/javascript" src="/modules/pixi/lib/pixi.min.js"></script>
<script type="text/javascript" src="/scripts/lib/require.js"></script>
<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/modules/pixi/wrk/gameloader.js"></script>
<script type="text/javascript" src="/modules/pixi/ui/ui_jeu.js"></script>
</body>

</html>